#!/bin/bash
newestVersion="$(curl -sL https://api.github.com/repos/JanDeDobbeleer/oh-my-posh/releases/latest | jq -r '.name' | cut -dv -f2)"
localVersion="$(oh-my-posh --version)"
tmpFile="$(mktemp -u)"

test "$newestVersion" != "$localVersion" && {
    curl -so "$tmpFile" https://ohmyposh.dev/install.sh
    bash "$tmpFile" -d "$HOME"/.local/bin
}
